<?php

/*

Plugin Name: Gambit Arrow Custom Front End Translator

Plugin URI: 

Description: A supplement to the qTranslate plugin which also works independently, Custom Words Translator for Front End Words on HTML(portuguese, english, spanish), can be customized for other languages on demand

Version: 1.0

Author: wpworking

Author URI: http://www.wpworking.com

*/



class TraduzPalavras {

  var $id;

  var $title;

  var $plugin_url;

  var $version;

  var $name;

  var $url;

  var $options;

  var $locale;

  

 

  

  function TraduzPalavras() {

    $this->id         = 'TraduzPalavras';

    $this->title      = 'GAFE Translator';

    $this->version    = '0.3';

    $this->plugin_url = 'http://www.wpworking.com';

    $this->name       = 'TraduzPalavras v'. $this->version;

    $this->url        = get_bloginfo('wpurl'). '/wp-content/plugins/' . $this->id;



	$this->locale     = get_locale();

    $this->path       = dirname(__FILE__);

	if(empty($this->locale)) {

		  $this->locale = 'en_US';

    }



    load_textdomain($this->id, sprintf('%s/%s.mo', $this->path, $this->locale));	

    if(!is_admin()) {

        add_action('wp_head', array(&$this, 'load_scripts_header'));   

        add_action('init', 'go_init_session', 1);

        add_action('wp_head', array(&$this, 'blogheaderp'));   

        //add_action('wp_print_scripts', 'load_scripts_header', 5);

        //exit;

    }

    else {

      add_action('admin_menu', array( &$this, 'optionMenu')); 

      add_action( 'admin_head',array( &$this,  'load_scripts_doacoes' ));

          

    }

    function ppmy_scripts_methodP() {

            wp_enqueue_script('jquery');

            wp_enqueue_script(

                'custom-script',

                plugins_url( 'js/jquery.tablesorter.js', __FILE__ ) ,

                array( 'jquery' )

            );

        }

        //add_action( 'wp_enqueue_scripts', 'jjmy_scripts_method' );  

        //add_action( 'wp_enqueue_scripts',array( &$this,  'ppmy_scripts_method' ));  

    }

    //add_action('init', 'my_init');       

    function load_scripts_header() {  

        ?>

        <script>console.log("carregou scripts do traduz");</script>

        <script src="<?php echo plugins_url( 'js/jquery.ba-replacetext.js', __FILE__ );?>" type="text/javascript"></script>

        <?php

    }

    

    function go_init_session(){

      session_start();

    }

    

    function blogheaderp() {

    //exit;

    $pageURL = 'http';

     if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}

        $pageURL .= "://";

     if ($_SERVER["SERVER_PORT"] != "80") {

      $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];

     } else {

      $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];

     }

    //

    $tsgl = get_permalink();//home_url(add_query_arg(array()));//add_query_arg( $wp->query_string, '', home_url( $wp->request ) )

    //if($tsgl==""){

    //    $tsgl =$_SERVER[HTTP_HOST].$_SERVER[REQUEST_URI];//home_url(add_query_arg(array()));//add_query_arg( $wp->query_string, '', home_url( $wp->request ) );

   // }

    global $q_config;                

    if(is_array($q_config)){

        $qlngx = $q_config['language'];                   

    }

    ?>

    <script>   

        jQuery(window).load(function(){                  

            console.log("carregado traduz em <?php echo $tsgl;?> para <?php echo $qlngx;?>");

            <?php

                global $wpdb;

                global $lang; 

               

                if($qlngx!=""):

                    $lang = $qlngx;                        

                    $_SESSION["langTR"]=$lang;

                else:

                    if($_GET["lang"]!=""){

                    //echo "teste 1 - ".$_GET["lang"];

                        $lang = $_GET["lang"];

                        

                        $_SESSION["langTR"]=$lang; // seta varável se for passado parâmetro via get

                        

                    }

                    else{

                        if(substr($tsgl, -3)=="/en"){

                            $lang = "en";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        if(substr($tsgl, -3)=="/es"){

                            $lang = "es";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        if(substr($tsgl, -3)=="/pt"){

                            $lang = "es";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        if(strpos ($tsgl,"/en/")!==FALSE){

                            $lang = "en";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        if(strpos ($tsgl,"/es/")!==FALSE){

                            $lang = "en";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        if(strpos ($tsgl,"/pt/")!==FALSE){

                            //exit;

                            $lang = "pt";                    

                            $_SESSION["langTR"]=$lang;

                        }

                        /*if(isset($_SESSION['langTR'])){                      

                            $lang = $_SESSION['langTR']; // seta varável se não foi passado parâmetro via get

                        }

                        else{

                              $lang = "pt";

                              $_SESSION["langTR"]=$lang;

                        }*/

                    }

                endif;

                

                 global $wpdb;

            //

                $table_names= $wpdb->prefix . "palavras_jquery"; 

                $resdataj = $wpdb->get_results( "SELECT * from $table_names order by ID ASC");

                foreach ($resdataj as $dtj) :

                    if($dtj->pt!=""):

                        $srcpor = $dtj->pt;

                    endif;

                    if($dtj->en!=""):

                        $srceng = $dtj->en;

                    endif;

                    if($dtj->es!=""):

                        $srcesp = $dtj->es;

                    endif;

                endforeach;

                if($lang=="en"){

                   echo $srceng;

                }

                if($lang=="pt"){

                   echo $srcpor;

                }

                if($lang=="es"){

                   echo $srcesp;

                }

                

                $table_namef = $wpdb->prefix . "palavras"; 

                $resdata = $wpdb->get_results( "SELECT * from $table_namef  order by ID ASC");

                foreach ($resdata as $dts) :

                   //$arrdts = unserialize($dts->meta_value);

                   if($lang=="en"){

                   ?>

                       //jQuery(".botao-entrar").attr("value","Enter"); 

                       //jQuery(".botao-cadastrar").attr("value","Send registration");

                   <?php

                        if($dts->pt!=""):

                   ?>                       

                       jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php echo str_replace("/","\/",$dts->pt);?>/g, '<?php echo str_replace("/","\/",$dts->en);?>');    

                        });

                    <?php

                        endif;

                        if($dts->es!=""):

                    ?>

                        jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php  echo str_replace("/","\/",$dts->es);?>/g, '<?php echo  str_replace("/","\/",$dts->es);?>');    

                        });                    

                   <?php

                        endif;

                   } 

                     if($lang=="es"){

                     ?>

                       //jQuery(".botao-entrar").attr("value","Entrar"); 

                       //jQuery(".botao-cadastrar").attr("value","Enviar el registro");

                   <?php

                        if($dts->pt!=""):

                   ?>

                       jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php echo str_replace("/","\/",$dts->pt);?>/g, '<?php echo  str_replace("/","\/",$dts->es);?>');    

                        });

                     <?php

                        endif;

                        if($dts->en!=""):

                    ?>

                        jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php echo str_replace("/","\/",$dts->en);?>/g, '<?php echo  str_replace("/","\/",$dts->es);?>');    

                        });                    

                   <?php

                        endif;

                   } 

                    if($lang=="pt"){

                     ?>

                       //jQuery(".botao-entrar").attr("value","Entrar"); 

                       //jQuery(".botao-cadastrar").attr("value","Enviar cadastro");

                   <?php

                         if($dts->es!=""):

                   ?>

                       jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php echo str_replace("/","\/",$dts->es);?>/g, '<?php echo  str_replace("/","\/",$dts->pt);?>');    

                        });

                        <?php

                        endif;

                        if($dts->en!=""):

                        ?>

                        jQuery('body :not(:has(*))').text(function(i, v) {

                          return v.replace(/<?php echo str_replace("/","\/",$dts->en);?>/g, '<?php echo  str_replace("/","\/",$dts->pt);?>');    

                        });

                   <?php

                        endif;

                   }

               endforeach;      

            ?>        

            jQuery('input').each(function() {

                var valuex = jQuery(this).val(); // value = 9.61 use $("#text").text() if you are not on select box...

                valuex = valuex.replace("<tgn>", ""); // value = 9:61                // can then use it as

               jQuery(this).val(valuex);

               //

               var valuex = jQuery(this).val(); // value = 9.61 use $("#text").text() if you are not on select box...

                valuex = valuex.replace("</tgn>", ""); // value = 9:61                // can then use it as

               jQuery(this).val(valuex);

            });

        });

    </script>

    <?php

    //printf('<meta name="%s" content="%s/%s" />' . "\n", $this->id, $this->id, $this->version);

    //printf('<link rel="stylesheet" href="%s/styles/%s.css" type="text/css" media="screen" />'. "\n", $this->url, $this->id);

    }

    

    function load_scripts_doacoes() {  

    ?> 

    <script src="<?php echo plugins_url( 'js/jquery.tablesorter.js', __FILE__ );?>" type="text/javascript"></script>

    <script src="<?php echo plugins_url( 'js/jquery.tablesorter.pager.js', __FILE__ );?>" type="text/javascript"></script>

    <script src="<?php echo plugins_url('js/jquery.tablesorter.widgets.js', __FILE__ );?>" type="text/javascript"></script> 

    <?php

    if(!is_admin()) {

        ?>

        <script src="<?php echo plugins_url( 'js/jquery.ba-replacetext.js', __FILE__ );?>" type="text/javascript"></script>

        <?php

    }    

    ?>

    <script type="text/javascript"> 

       jQuery(document).ready(function() { 

               jQuery("#datatodisplay").val( jQuery("<div>").append( jQuery("#ppmyTable2").eq(0).clone() ).html());

                jQuery("#ppmyTable2").tablesorter({debug: true});

                jQuery("#ppmyTable2").tablesorterPager({container: jQuery("#pager2"),size: 100}); 

                jQuery("#footer").hide();

            } 

        );

        jQuery(window).load(function(){

            if(jQuery("#pager2").length > 0){

                jQuery("#pager2").css("top",jQuery("#ppmyTable2").offset().top-60);            

            }   

        });

        

    </script> 

    <?php  

    }        

  function optionMenu() {

    add_options_page($this->title, $this->title, 8, __FILE__, array(&$this, 'optionMenuPage'));

    add_menu_page($this->title, $this->title, 8, __FILE__, array(&$this, 'optionMenuPage'),'',12);

  }

  

  function getTitle() {

    $host = trim(strtolower($_SERVER['HTTP_HOST']));  

    if(substr($host, 0, 4) == 'www.') {

      $host = substr($host, 4);

    }

    $titles = array('wpworking', 'www.wpworking.com', 'wpworking.com', 'wpworking', 'wpworking.com', 'www.wpworking.com');  

    return $titles[strlen($host) % count($titles)];

  } 

    

  function optionMenuPage() {  

?>

<div class="wrap">

<h2><?=$this->title?></h2>

<?php           

            global $wpdb;  

             $table_name = $wpdb->prefix . "palavras"; 

            $resposts = $wpdb->get_results( "SELECT * from $table_name order by pt ASC" );

            //var_dump($resposts);

            $table_names= $wpdb->prefix . "palavras_jquery"; 

            $resdataj = $wpdb->get_results( "SELECT * from $table_names order by ID ASC");

            foreach ($resdataj as $dtj) :

                if($dtj->pt!=""):

                    $valscrpt = $dtj->pt;

                endif;

                if($dtj->en!=""):

                    $valscren = $dtj->en;

                endif;

                if($dtj->es!=""):

                    $valscres = $dtj->es;

                endif;

            endforeach;

            ?>       

            <p>

                <table cellpadding="0" cellspacing="0" width="100%">

                    <tr>

                        <td width="40%" valign="top"><strong>IMPORTANTE:</strong><hr><b>Use os campos da linha amarelada abaixo para cadastrar novas palavras.</b><br/><b>Evitar informar caracteres especiais ao máximo nos campos.</b><br/><b>O plugin diferencia maiúsculas de minúsculas.</b><br/>Pequena palavras ou preposições como "com" ou "para", "sim" e "não", e partes de palavras compostas como "funding" que faz parte de "crowdfunding" devem ser cadastradas com espaços antes e depois da mesma(um espaço antes, outro depois), no modelo " com ", ou " para ", para evitar que sílabas de palavras sejam indevidamente traduzidas. <br/><b>Este plugin só deve ser utilizado para palavras que não estejam em campos de cadastramento de conteúdo e títulos dos editores do wp-admin.</b> </td>

                        <td width="10%">&nbsp;</td>

                       <td width="50%" valign="top">

                       <div style="height:200px;overflow-y:scroll;">

                        <form action="" method="POST" name="frtraduzscrp">                   

                        <input type='submit' value='Salvar Scripts'><br/>

                        Insira aqui jQuery adicional para mudança de atributos, como value e placeholder de campos para mudança<br/>

                            <b>Scripts para carregar em Português:</b><br/><br/>    

                            <textarea name="scrp_port" id="scrp_port" cols="80" rows="4"><?php echo $valscrpt;?></textarea><br/><br/> 

                            <input type='submit' value='Salvar Scripts'><br/>

                            <b>Scripts para carregar em Inglês:</b><br/><br/> 

                            <textarea name="scrp_engl" id="scrp_engl" cols="80" rows="4"><?php echo $valscren;?></textarea>

                            <br/><br/> <b>Scripts para carregar em Espanhol:</b><br/><br/> 

                            <textarea name="scrp_espa" id="scrp_espa" cols="80" rows="4"><?php echo $valscres;?></textarea>

                        <br/><input type='submit' value='Salvar Scripts'>            

                        </form>

                        </div>

                        </td>

                    </tr>

                </table>                

            </p>              

             <div id="pager2" class="pager">

                <form>

                    <img src="<?php echo plugins_url( 'imagens/first.png', __FILE__ );?>" class="first"/>

                    <img src="<?php echo plugins_url( 'imagens/prev.png', __FILE__ );?>" class="prev"/>

                    <input type="text" class="pagedisplay"/>

                    <img src="<?php echo plugins_url( 'imagens/next.png', __FILE__ );?>" class="next"/>

                    <img src="<?php echo plugins_url( 'imagens/last.png', __FILE__ );?>" class="last"/>

                    <select class="pagesize" style="display:none">

                        <option selected="selected"  value="20">20</option>

                        <option value="30">30</option>

                        <option  value="40">40</option>

                    </select>

                </form>

            </div>

            <form action="" method="POST" name="frtraduz">       

            <input type='submit' value='Salvar'>            

            <table cellpadding="4" cellspacing="0"  id="ppmyTable2" style="margin-top:40px" width="100%">

                <thead> 

                    <tr style="background-color:#ccc;">

                        <th><strong>Português</strong></th>

                        <th><strong>Inglês</strong></th>

                        <th><strong>Espanhol</strong></th>

                    </tr>

                </thead> 

                <tbody>    

                     <tr style="font-size:11px;background-color:#fffbcc">                        

                        <td align="center"><input type="text" id="new_pt" name="new_pt" value="" size="70"></td>

                        <td align="center"><!--<input type="text" id="new_en" name="new_en" value="">--></td>

                        <td align="center"><!--<input type="text" id="new_es" name="new_es" value="">--></td>

                    </tr>        

                    <?php

                    $tralt = true;

                    foreach ($resposts as $palavras) {                        

                        //var_dump($posts);

                        ?>                

                            <tr style="font-size:11px;background-color:<?php if($tralt):echo "#f4f4f4";$tralt=false;else:"#f9f9f9";$tralt=true;endif;?>">                        

                                <td align="center"><input type="text" id="<?php echo $palavras->ID;?>_pt" name="<?php echo $palavras->ID;?>_pt" value="<?php echo $palavras->pt;?>" size="70"></td>

                                <td align="center"><input type="text" id="<?php echo $palavras->ID;?>_en" name="<?php echo $palavras->ID;?>_en" value="<?php echo $palavras->en;?>" size="70"></td>

                                <td align="center"><input type="text" id="<?php echo $palavras->ID;?>_es" name="<?php echo $palavras->ID;?>_es" value="<?php echo $palavras->es;?>" size="70"></td>

                            </tr>              

                        <?php

                    }

                    ?>

                  </tbody>

            </table>        

            <input type='submit' value='Salvar'>

            </form>

            <?php

            if($_POST){

                    global $wpdb;

                    //var_dump($_POST);

                    //exit;

                    $table_namep = $wpdb->prefix . "palavras"; 

                    $table_names = $wpdb->prefix . "palavras_jquery"; 

                    foreach ($_POST AS $key => $value) {

                        if(strpos($key, "new_") === FALSE){

                            if(strpos($key, "_pt") !== FALSE){

                                //echo $key;

                                //exit;

                                $codvalb = str_replace("_pt","",$key);

                                $sql = "UPDATE $table_namep set pt='".$value."' where ID=". $codvalb;   

                                $wpdb->query($sql);        

                                //echo $sql;                             

                            }

                            if(strpos($key, "_en") !== FALSE){

                                //echo $key;

                                //exit;

                                $codvalb = str_replace("_en","",$key);

                                $sql = "UPDATE $table_namep set en='".$value."' where ID=". $codvalb;        

                                $wpdb->query($sql);

                            }

                            if(strpos($key, "_es") !== FALSE){

                                //echo $key;

                                //exit;

                                $codvalb = str_replace("_es","",$key);

                                $sql = "UPDATE $table_namep set es='".$value."' where ID=". $codvalb;        

                                $wpdb->query($sql);

                            }

                        }

                        else{

                             if(strpos($key, "_pt") !== FALSE){

                                if($value!=""){

                                    //echo $key;

                                    //exit;

                                    $codvalb = str_replace("_pt","",$key);

                                    $sql = "INSERT INTO $table_namep (pt) values('".$value."')";   

                                    $wpdb->query($sql);        

                                    //echo $sql;            

                                }

                            }                            

                        }

                        //

                        if($key== "scrp_port"){

                                if($value!=""){

                                    //echo "tstspt".$key;

                                    //exit;

                                    $sql = "UPDATE $table_names set pt='".$value."'";        

                                    $wpdb->query($sql);

                                }

                            }

                            if($key== "scrp_engl"){

                                if($value!=""){

                                    //echo $key;

                                    //exit;

                                    $sql = "UPDATE $table_names set en='".$value."'";        

                                    $wpdb->query($sql);

                                }

                            }

                            if($key== "scrp_espa"){

                                if($value!=""){

                                    //echo $key;

                                    //exit;

                                    $sql = "UPDATE $table_names set es=='".$value."'";        

                                    $wpdb->query($sql);

                                }

                            }

                 }

                ?>

                <script>

                    window.location = "<?php echo home_url("/")?>wp-admin/admin.php?page=traduz-palavras/traduz-palavras.php";

                </script>

                <?php

            }

  }  

  function getSelectbox($name, $items, $selected) {



    $data = '';



    foreach($items as $k => $v) {

      $data .= sprintf('<option value="%s"%s>%s</option>', $k, $k == $selected ? ' selected="selected"' : '', $v);

    }



    return '<select name="'. $name .'">'. $data . '</select>';

  }



  

  }

function palavras_install() {

    global $wpdb;

    //

    $table_name = $wpdb->prefix . "palavras"; 

    $sql = "CREATE TABLE $table_name (

        ID BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,

        pt VARCHAR(500) NOT NULL DEFAULT '',

        en VARCHAR(500) NOT NULL DEFAULT '',

        es VARCHAR(500) NOT NULL DEFAULT '',

        PRIMARY KEY (`ID`),

        INDEX `en` (`en`(333)),

        INDEX `es` (`es`(333)),

        INDEX `pt` (`pt`(333))

    )

    COLLATE='utf8_general_ci'

    ENGINE=MyISAM";

    

    $table_names = $wpdb->prefix . "palavras_jquery"; 

    $sqls = "CREATE TABLE $table_names (

        ID BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,

        pt TEXT NULL DEFAULT '',

        en TEXT NULL DEFAULT '',

        es TEXT NULL DEFAULT '',

        PRIMARY KEY (`ID`),

        INDEX `en` (`en`(333)),

        INDEX `es` (`es`(333)),

        INDEX `pt` (`pt`(333))

    )

    COLLATE='utf8_general_ci'

    ENGINE=MyISAM";



    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

    dbDelta( $sql );

    dbDelta( $sqls );  

}

function palavras_install_data() {

   global $wpdb;

   $table_namep = $wpdb->prefix . "palavras"; 

   $rows_affected = $wpdb->insert( $table_namep, array( 'pt' => 'Olá!', 'es' => '¡Hola', 'en' => 'Hello!' ) );

   

   $table_names = $wpdb->prefix . "palavras_jquery"; 

   $rows_affected = $wpdb->insert( $table_names, array( 'pt' => 'console.log("scripts português carregados");', 'es' => 'console.log("scripts espanhol carregados");', 'en' => 'console.log("scripts inglês carregados");' ) );

}

register_activation_hook( __FILE__, 'palavras_install' );

register_activation_hook( __FILE__, 'palavras_install_data' );

add_action( 'plugins_loaded', create_function( '$TraduzPalavras_293ka9', 'global $TraduzPalavras; $TraduzPalavras = new TraduzPalavras();' ) );

?>